#!/usr/bin/env python3
#
# GlobalChem - Named Reactions in Organic Synthesis
#
# -------------------------------------------------

class NamedReactionsInOrganicSynthesis(object):
  
  def __init__(self):
    
      self.name = 'named_reactions_in_organic_synthesis'
      
  @staticmethod
  def get_smiles():
      #
      # smiles = {
      #   'Lieben Haloform Reaction                                                ',
      #   'Benzilic Acid Rearrangement                                             ',
      #   'Aldol Reaction                                                          ',
      #   'Dieckmann Condensation                                                  ',
      #   'Strecker Reation                                                        ',
      #   'Hofmann Elimination                                                     ',
      #   'Wiallmson Ether Synthesis                                               ',
      #   'Cannizzaro Reaction                                                     ',
      #   'Wurtz Coulping                                                          ',
      #   'Kolbe-Schmitt Reaction                                                  ',
      #   'Pinacol and Semipinacol Rearrangement                                   ',
      #   'Acyloin Condensation                                                    ',
      #   'Hunsdiecker Reaction (Borodin Reaction)                                 ',
      #   'Perkin Reaction                                                         ',
      #   'Glaser Coupling Reaction                                                ',
      #   'Lossen Rearrangement                                                    ',
      #   'Reimer-Tiemann Reaction                                                 ',
      #   'Friedel-Crafts Acylation                                                ',
      #   'Friedel-Crafts Alkylation                                               ',
      #   'Malonic Ester Synthesis                                                 ',
      #   'Pinner Reaction                                                         ',
      #   'Koenigs-Knorr Glycosidation                                             ',
      #   'Skraup and Doebner-Miller Reaction                                      ',
      #   'Ciamician-Dennstedt Rearrangement                                       ',
      #   'Fries-, Photo-Fries and Anionic Ortho-Fries Rearrangement               ',
      #   'Hell-Volhard-Zelinsky Reaction                                          ',
      #   'Hofmann Rearrangement                                                   ',
      #   'Hantzsch Dihydropyridine Synthesis                                      ',
      #   'Combes Quinoline Synthesis                                              ',
      #   'Fischer Indole Synthesis                                                ',
      #   'Hofmann–Löffler-Freytag Reaction                                        ',
      #   'Michael Addition                                                        ',
      #   'von Pechmann Reaction                                                   ',
      #   'Paal-Knorr Furan Synthesis                                              ',
      #   'Paal-Knorr Pyrrole Synthesis                                            ',
      #   'Sandmeyer Reaction                                                      ',
      #   'Schotten-Baumann reaction                                               ',
      #   'Buchner Method of Ring Enlargement (Buchner reaction)                   ',
      #   'Curtius Rearrangement                                                   ',
      #   'Beckman Rearrangement                                                   ',
      #   'Knorr Pyrrole Synthesis                                                 ',
      #   'Claisen Condensation/ (Claisen Reaction)                                ',
      #   'Gabriel Synthesis                                                       ',
      #   'Japp-Klingemann Reaction                                                ',
      #   'Reformatsky Reaction                                                    ',
      #   'Tishchenko Reaction                                                     ',
      #   'Dimroth Rearrangement                                                   ',
      #   'Biginelli Reaction                                                      ',
      #   'Darzens Glycidic Ester Condensation                                     ',
      #   'Bischler-Napieralski Isoquinoline Synthesis                             ',
      #   'Dienone-Phenol Rearrangement                                            ',
      #   'Pomeranz-Fritsch Reaction                                               ',
      #   'Stobbe Condensation                                                     ',
      #   'Favorskii Rearrangement and Homo-Favorskii Rearrangement                ',
      #   'Knoevenagel Condensation                                                ',
      #   'Nef Reaction                                                            ',
      #   'Smiles Rearrangement                                                    ',
      #   'Wacker Oxidation                                                        ',
      #   'Henry Reaction                                                          ',
      #   'Arbuzov Reaction (Michaelis-Arbuzov Reaction)                           ',
      #   'Gattermann and Gattermann-Koch Formylation                              ',
      #   'Chugaev Elimination (Xanthate Ester Pyrolysis)                          ',
      #   'Baeyer-Villiger Oxidation/Rearrangement                                 ','
      #   'Barbier Coupling Reaction                                               ',
      #   'Prins Reaction                                                          ',
      #   'Wagner-Meerwein Rearrangement                                           ',
      #   'Grignard Reaction                                                       ',
      #   'Demjanov Rearrangement and Tiffeneau-Demjanov Rearrangement             ',
      #   'Ullmann Reaction/Coupling/Biaryl Synthesis                              ',
      #   'Feist–Bénary Furan Synthesis                                            ',
      #   'Wolff Rearrangement                                                     ',
      #   'Benzoin and Retro-Benzoin Condensation                                  ',
      #   'Mannich Reaction                                                        ',
      #   'Nazarov Cyclization                                                     ',
      #   'Ullmann Biaryl Ether and Biaryl Amine Synthesis/Condensation            ',
      #   'Eschweiler-Clarke Methylation                                           ',
      #   'Staudinger Ketene Cycloaddition                                         ',
      #   'Acetoacetic Ester Synthesis                                             ',
      #   'Dakin Oxidation                                                         ',
      #   'Paterno-Büchi Reaction                                                  ',
      #   'Prilezhaev Reaction                                                     ',
      #   'Pummerer Rearrangement                                                  ',
      #   'Finkelstein Reaction                                                    ',
      #   'Regitz Diazo-Transfer Reaction                                          ',
      #   'Pictet-Spengler Tetrahydroisoquinoline Synthesis                        ',
      #   'Wolff-Kishner Reduction                                                 ',
      #   'Madelung Indole Synthesis                                               ',
      #   'Claisen Rearrangement                                                   ',
      #   'Clemmensen Reduction                                                    ',
      #   'Wharton Olefin Synthesis (Wharton Transposition)                        ',
      #   'Chichibabin Amination Reaction (Chichibabin Reaction)                   ',
      #   'Ferrier Reaction/Ferrier Rearrangement                                  ',
      #   'Houben-Hoesch Reaction/Synthesis                                        ',
      #   'Aza-Wittig Reaction                                                     ',
      #   'Meisenheimer Rearrangement                                              ',
      #   'Staudinger Reaction                                                     ',
      #   'Wittig Reaction                                                         ',
      #   'Wohl-Ziegler Bromination                                                ',
      #   'Passerini Multicomponent Reaction                                       ',
      #   'Meyer-Schuster and Rupe Rearrangement                                   ',
      #   'Schmidt Reaction                                                        ',
      #   'Amadori Reaction/Rearrangement                                          ',
      #   'Meerwein-Ponndorf-Verley Reduction                                      ',
      #   'Stephen Aldehyde Synthesis                                              ',
      #   'Diels-Alder Cycloaddition                                               ',
      #   'Neber Rearrangement                                                     ',
      #   'Balz-Schiemann Reaction (Schiemann Reaction)                            ',
      #   'Dakin-West Reaction                                                     ',
      #   'Stevens Rearrangement                                                   ',
      #   'Nenitzescu Indole Synthesis                                             ',
      #   'Criegee Oxidation                                                       ',
      #   'Riley Selenium Dioxide Oxidation                                        ',
      #   'Baker-Venkataraman Rearrangement                                        ',
      #   'Prévost Reaction                                                        ',
      #   'Arndt-Eistert Homologation/Synthesis                                    ',
      #   'Payne Rearrangement                                                     ',
      #   'Robinson Annulation                                                     ',
      #   'Claisen-Ireland Rearrangement                                           ',
      #   'Oppenauer Oxidation                                                     ',
      #   'Sommelet-Hauser Rearrangement                                           ',
      #   'Meerwin Arylation                                                       ',
      #   'Quasi-Favorskii Rearrangement                                           ',
      #   'Snieckus Directed Ortho Metalation                                      ',
      #   'Carrol Rerrangement (Kimel-Cope Rearrangement)                          ',
      #   'Cope Rearrangement                                                      ',
      #   'Ramberg–Bäcklund Rearrangement                                          ',
      #   'Wittig-[1,2]- and [2,3]-Rearrangement                                   ',
      #   'Alder (Ene) Reaction                                                    ',
      #   'Hetero Diels-Alder Reaction (HDA)                                       ',
      #   'Birch Reduction                                                         ',
      #   'Jones Oxidation/Oxidation of Alcohols by Chromium Reagents              ',
      #   'Peterson Olefination                                                    ',
      #   'Ritter Reaction                                                         ',
      #   'Cope Elimination/(Cope Reaction)                                        ',
      #   'Cornforth Rearrangement                                                 ',
      #   'Bamford-Stevens-Shapiro Olefination                                     ',
      #   'Grob Fragmentation                                                      ',
      #   'Wharton Fragmentation                                                   ',
      #   'Stork Enamine Synthesis                                                 ',
      #   'Alkene (Olefin) Metathesis                                              ',
      #   'Brown Hydroboration Reaction                                            ',
      #   'Kornblum Oxidation                                                      ',
      #   'Brook Rearrangement                                                     ',
      #   'Doering-LaFlamme Allene Synthesis                                       ',
      #   'Horner-Wadsworth-Emmons Olefination                                     ',
      #   'Simmons-Smith Cyclopropanation                                          ',
      #   'Heine Reaction                                                          ',
      #   'Ugi Multicomponent Reaction                                             ',
      #   'Vilsmeier-Haack Formylation                                             ',
      #   'Vinylcyclopropane-Cyclopetene Rearrangement                             ',
      #   'Barton Nitrile Ester Reaction                                           ',
      #   'Kröhnke Pyridine Synthesis                                              ',
      #   'Barton Radical Decarboxylation Reaction                                 ',
      #   'Corey-Chaykovsky Epoxidation and Cyclopropanation                       ',
      #   'DeMayo Cycloaddition (Enone-Alkene [2+2] Photocycloaddition             ',
      #   'Nagata Hydrocyanation Reaction                                          ',
      #   'Castro-Stevens Coupling                                                 ',
      #   'Corey-Winter Olefination                                                ',
      #   'Pfitzner-Moffatt Oxidation                                              ',
      #   'Eschenmoser-Claisen Rearrangement                                       ',
      #   'Oxy-Cope Rearrangement/Anionic Oxy-Cope Rearrangement                   ',
      #   'Tsuji-Trost Reaction (Allylation)                                       ',
      #   'Tsuji-Wilkinson Decarbonylation                                         ',
      #   'Wittig Reaction- Schlosser Modification                                 ',
      #   'Aza-Claisen Rearrangement (3-Aza-Cope Rearrangement)                    ',
      #   'Aza-Cope Rearrangement                                                  ',
      #   'Eschenmoser-Tanabe Fragmentation                                        ',
      #   'Krapcho Dealkoxycarbonylation                                           ',
      #   'Mitsunobo Reaction                                                      ',
      #   'Seyferth-Gilber Homologation                                            ',
      #   'Baylis-Hillman Reaction                                                 ',
      #   'Heck Reaction                                                           ',
      #   'Minisci Reaction                                                        ',
      #   'Mislow-Evans Rearrangement                                              ',
      #   'Prins-Pinacol Rearrangement                                             ',
      #   'Schwartz Hydrozirconation                                               ',
      #   'Burgess Dehydration Reaction                                            ',
      #   'Johnson-Claisen Rearrangement                                           ',
      #   'Aza-[2,3]-Wittig Rearrangement                                          ',
      #   'Corey-Kim Oxidation                                                     ',
      #   'Eschenmoser Methenylation                                               ',
      #   'Hajos-Parrish Reaction                                                  ',
      #   'Nicholas Reaction                                                       ',
      #   'Bergman Cycloaromatization Reaction                                     ',
      #   'Corey-Fuchs Alkyne Synthesis                                            ',
      #   'Kumada Cross Coupling Reaction                                          ',
      #   'McMurry Coupling                                                        ',
      #   'Saegusa Oxidation                                                       ',
      #   'Julia-Lythgoe Olefination                                               ',
      #   'Mukaiyama Aldol Reaction                                                ',
      #   'Pauson-Khand Reaction                                                   ',
      #   'Pinnick Oxidation                                                       ',
      #   'Polonovski Reaction                                                     ',
      #   'Stetter Reaction                                                        ',
      #   'Overman Rearrangement                                                   ',
      #   'Alkyne Metathesis                                                       ',
      #   'Corey-Nicolau Macrolactonization                                        ',
      #   'Danishefskys Diene Cycloaddition                                        ',
      #   'Rubottom Oxidation                                                      ',
      #   'Swern Oxidation                                                         ',
      #   'Barton-McCombie Radical Deoxygenation Reaction                          ',
      #   ' Dötz Benzannulation Reaction                                           ',
      #   'Sonogashira Cross-Coupling                                              ',
      #   'Enders SAMP/RAMP Hydrazone Alkylation                                   ',
      #   'Negishi Cross-Coupling                                                  ',
      #   'Sakurai Allylation                                                      ',
      #   'Stille Cross-Coupling (Migita-Kosugi-Stille Coupling)                   ',
      #   'Tebbe Olefination/Petasis-Tebbe Olefination                             ',
      #   'Davis Oxaziridine Oxidation                                             ',
      #   'Nozaki-Hiyama-Kishi Coupling                                            ',
      #   'Bartoli Indole Synthesis                                                ',
      #   'Luche Reduction                                                         ',
      #   'Roush Asymmetric Allylation                                             ',
      #   'Midland Alpine Borane Reduction                                         ',
      #   'Suzuki Cross-Coupling (Suzuki-Miyaura Cross-Coupling)                   ',
      #   'Yamaguchi Macrolactonization                                            ',
      #   'Kagan-Molander Samarium-Diiodide Coupling                               ',
      #   'Noyori Asymmetric Hydrogenation                                         ',
      #   'Sharpless Asymmetric Dihydroxylation Reaction                           ',
      #   'Sharpless Asymmetric Epoxidation Reaction                               ',
      #   'Corey-Bakashi-Shibata (CBS) Reduction                                   ',
      #   'Danheiser Cyclopenten Annulation                                        ',
      #   'Evans Aldol Reaction                                                    ',
      #   'Weinreb Ketone Synthesis                                                ',
      #   'Buchwald-Hartwig Cross-Coupling                                         ',
      #   'Dess-Martin Oxidation                                                   ',
      #   'Fleming-Tamao Oxidation                                                 ',
      #   'Horner-Wadsworth-Emmons Olefination (Still-Gennari modification)        ',
      #   'Danheiser Benzannulation                                                ',
      #   'Stille Carbonylative Cross-Couping                                      ',
      #   'Enyne Metathesis                                                        ',
      #   'Keck Macrolactonization                                                 ',
      #   'Ley Oxidation                                                           ',
      #   'Takai-Utimoto Olefination (Takai Reaction)                              ',
      #   'Stille-Kelly Coupling                                                   ',
      #   'Kahne Glycosidation                                                     ',
      #   'Kulinkovich Reaction                                                    ',
      #   'Jacobsen-Katsuki Epoxidation                                            ',
      #   'Larock Indole Synthesis                                                 ',
      #   'Keck Asymmetric Allylation                                              ',
      #   'Keck Radical Allylation                                                 ',
      #   'Petasis Boronic Acid-Mannich Reaction                                   ',
      #   'Myers Asymmetric Alkylation                                             ',
      #   'Smith-Tietze Multicomponent Dithiane Linchpin Coupling                  ',
      #   'Jacobsen Hydrolytic Kinetic Resolution of Epoxides                      ',
      #   'Miyaura Boration Reaction                                               ',
      #   'Petasis-Ferrier Rearrangement                                           ',
      #   'Sharpless Asymmetric Aminohydroxylation Reaction                        ',
      #   'Shi Asymmetric Epoxidation                                              ',
      # }
      #
      smiles = {}
      return smiles
